NUM_RETRIES=5
SLEEP_INTERVAL=10
post_config() {
    # $1 is the path to data to be posted -- If empty then an empty dictionary is used as data.
    # $2 is the url endpoint where the config needs to be posted.
    # $3 is the druid service name
    # $4 is the port number where the config service is listening.
    echo "parameters to run from postConfig: $@"
    if [ -z $1 ]; then
        content="{}"
    else
        content=@/opt/vmware/pace/druid-config/$1
    fi
    echo " http_code %{http_code} . with content for posting to this curl request $@"
    echo "content of file: $2"
    status=$(curl -k -XPOST -H'Content-Type: application/json' -o >(cat >&2) -d $content https://$3:$4/druid/$2 -w "%{http_code}")
    n=1
    while [ $n -le $NUM_RETRIES ] && [ $status -ne 200 ] && [ $status -ne 202 ]; do
        status=$(curl -k -XPOST -H'Content-Type: application/json' -o >(cat >&2) -d $content https://$3:$4/druid/$2 -w "%{http_code}")
        if [ $status -eq 200 ] && [ $status -ne 202 ]; then
            return 0
        fi
        n=$(($n + 1))
        sleep $SLEEP_INTERVAL
    done
    if [ $n -eq $NUM_RETRIES ]; then
        echo "All attempts failed"
        return 1
    fi
    return 0
}
